Bug 1277553 - [abrt] plasma-systemsettings: QXcbScreen::mapFromNative(): systemsettings5 killed by SIGSEGV
[abrt] plasma-systemsettings: QXcbScreen::mapFromNative(): systemsettings5 ki...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: plasma-systemsettings (Show other bugs)
24
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:4041229dd3c4913c68811d467b4...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-03 09:38 EST by Peter Gervase
Modified: 2017-08-08 08:21 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-08 08:21:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (33.44 KB, text/plain)
2015-11-03 09:38 EST, Peter Gervase
no flags Details
File: cgroup (200 bytes, text/plain)
2015-11-03 09:38 EST, Peter Gervase
no flags Details
File: core_backtrace (5.76 KB, text/plain)
2015-11-03 09:38 EST, Peter Gervase
no flags Details
File: dso_list (18.16 KB, text/plain)
2015-11-03 09:38 EST, Peter Gervase
no flags Details
File: environ (1.84 KB, text/plain)
2015-11-03 09:38 EST, Peter Gervase
no flags Details
File: exploitable (82 bytes, text/plain)
2015-11-03 09:38 EST, Peter Gervase
no flags Details
File: limits (1.29 KB, text/plain)
2015-11-03 09:38 EST, Peter Gervase
no flags Details
File: maps (84.92 KB, text/plain)
2015-11-03 09:38 EST, Peter Gervase
no flags Details
File: mountinfo (3.14 KB, text/plain)
2015-11-03 09:38 EST, Peter Gervase
no flags Details
File: open_fds (1.32 KB, text/plain)
2015-11-03 09:38 EST, Peter Gervase
no flags Details
File: proc_pid_status (1.16 KB, text/plain)
2015-11-03 09:38 EST, Peter Gervase
no flags Details
File: var_log_messages (327 bytes, text/plain)
2015-11-03 09:38 EST, Peter Gervase
no flags Details

  None (edit)
Description Peter Gervase 2015-11-03 09:38:00 EST
Description of problem:
When I go from undocked to docked, the laptop monitor goes blank and the external monitors don't get activated. I have to undock, control + alt + f2, control + alt + f1, the screen wakes, and then usually when I dock this second time the laptop screen stays awake and so I can then go activate the external monitors. If it has the same issue on that second dock attempt, it has always worked on the third dock attempt.

Version-Release number of selected component:
plasma-systemsettings-5.4.2-1.fc24

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        /bin/systemsettings5
crash_function: QXcbScreen::mapFromNative
executable:     /usr/bin/systemsettings5
global_pid:     7017
kernel:         4.3.0-0.rc6.git2.1.fc24.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 QXcbScreen::mapFromNative at qxcbscreen.cpp:249
 #1 QXcbWindow::handleEnterNotifyEvent at qxcbwindow.cpp:2327
 #2 QXcbConnection::handleXcbEvent at qxcbconnection.cpp:1083
 #3 QXcbConnection::processXcbEvents at qxcbconnection.cpp:1527
 #4 QObject::event at kernel/qobject.cpp:1239
 #5 QApplicationPrivate::notify_helper at kernel/qapplication.cpp:3716
 #6 QApplication::notify at kernel/qapplication.cpp:3499
 #7 QCoreApplication::notifyInternal at kernel/qcoreapplication.cpp:965
 #8 QCoreApplication::sendEvent at kernel/qcoreapplication.h:224
 #9 QCoreApplicationPrivate::sendPostedEvents at kernel/qcoreapplication.cpp:1593
Comment 1 Peter Gervase 2015-11-03 09:38:06 EST
Created attachment 1089021 [details]
File: backtrace
Comment 2 Peter Gervase 2015-11-03 09:38:07 EST
Created attachment 1089022 [details]
File: cgroup
Comment 3 Peter Gervase 2015-11-03 09:38:08 EST
Created attachment 1089023 [details]
File: core_backtrace
Comment 4 Peter Gervase 2015-11-03 09:38:09 EST
Created attachment 1089024 [details]
File: dso_list
Comment 5 Peter Gervase 2015-11-03 09:38:10 EST
Created attachment 1089025 [details]
File: environ
Comment 6 Peter Gervase 2015-11-03 09:38:11 EST
Created attachment 1089026 [details]
File: exploitable
Comment 7 Peter Gervase 2015-11-03 09:38:12 EST
Created attachment 1089027 [details]
File: limits
Comment 8 Peter Gervase 2015-11-03 09:38:14 EST
Created attachment 1089028 [details]
File: maps
Comment 9 Peter Gervase 2015-11-03 09:38:16 EST
Created attachment 1089029 [details]
File: mountinfo
Comment 10 Peter Gervase 2015-11-03 09:38:17 EST
Created attachment 1089030 [details]
File: open_fds
Comment 11 Peter Gervase 2015-11-03 09:38:18 EST
Created attachment 1089031 [details]
File: proc_pid_status
Comment 12 Peter Gervase 2015-11-03 09:38:19 EST
Created attachment 1089032 [details]
File: var_log_messages
Comment 13 Jan Kurik 2016-02-24 08:54:07 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 14 Fedora End Of Life 2017-07-25 15:26:01 EDT
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 15 Fedora End Of Life 2017-08-08 08:21:13 EDT
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.